Bug 208436 - Review Request: kphotobymail - Kphotobymail is a PyQT based application for uploading photos to flickr account.
Summary: Review Request: kphotobymail - Kphotobymail is a PyQT based application for u...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL: http://kphotobymail.sourceforge.net
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-09-28 15:41 UTC by kushaldas@gmail.com
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-30 04:56:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kushaldas@gmail.com 2006-09-28 15:41:51 UTC
Spec URL: http://freeshell.in/~kushal/kphotobymail.spec
SRPM URL: http://freeshell.in/~kushal/kphotobymail-0.3.2-1.src.rpm
Description: Kphotobymail is a PyQT based application for uploading photos to flickr account. You can also use it to send emails with photo attachment on the fly.

This is my first package, so requesting a review.

Comment 1 Chitlesh GOORAH 2006-09-28 19:11:28 UTC
<!> First reviews for new packagers must be done by registered sponsors.


Comment 2 Chitlesh GOORAH 2006-09-28 19:44:12 UTC
I'll review it and get it ready for official review. But someone else will
approved it. I can't be assigned to this bug.

Comment 3 kushaldas@gmail.com 2006-09-29 05:43:37 UTC
Spec URL: http://freeshell.in/~kushal/kphotobymail.spec
SRPM URL: http://freeshell.in/~kushal/kphotobymail-0.3.2-2.src.rpm
Added deskto-file-install

rpmlint still showing 
W: kphotobymail conffile-without-noreplace-flag /etc/kphotobymail.data
E: kphotobymail non-executable-script
/usr/lib/python2.4/site-packages/Kphotobymail/__init__.py 0644

where there is no problem in replacing /etc/kphotobymail.data
Second one .. no idea, but it is having required permissions.

Comment 4 Tom "spot" Callaway 2006-09-29 17:10:26 UTC
A few things need to be fixed here:

You need to add:
BuildRequires: desktop-file-utils

Upstream source does not match source in SRPM, you need to reconcile that:
ecfa19fa8618da1314b3964f3d4b39c731e3d1ee  kphotobymail-0.3.2.tar.gz.UPSTREAM
70cf51f8641f315b0b6f738c0740a351fe5eb912  kphotobymail-0.3.2.tar.gz

Don't use the name of the program in the summary. A recommended change:

Summary:        A PyQT based application for uploading photos to flickr

Also, while not mandatory, I highly recommend that you append %{?dist} to the
end of the Release string. See http://fedoraproject.org/wiki/Packaging/DistTag

Good:

- rpmlint checks return:
W: kphotobymail conffile-without-noreplace-flag /etc/kphotobymail.data
Should be safe to ignore.

E: kphotobymail non-executable-script
/usr/lib/python2.4/site-packages/Kphotobymail/__init__.py 0644
Should be safe to ignore.

W: kphotobymail mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 4)

Just fix line 14 to use tabs instead of spaces.

- package meets naming guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- desktop file ok

Bad:

- source does NOT match upstream

Fix the blockers and I'll revisit this.

Comment 5 kushaldas@gmail.com 2006-09-29 17:45:11 UTC
Fixed.. :)

Spec URL: http://freeshell.in/~kushal/kphotobymail.spec
SRPM URL: http://freeshell.in/~kushal/kphotobymail-0.3.2-3.src.rpm

Comment 6 Tom "spot" Callaway 2006-09-29 17:49:37 UTC
Looks good. Only remaining issue I see is that you're using spaces instead of
tabs in your desktop-file-install call (line 34). rpmlint complained about it,
so, just fix it before you commit.

APPROVED and SPONSORED. Do your paperwork, when I see it come across, I'll
sponsor you.

Comment 7 kushaldas@gmail.com 2006-09-29 18:05:58 UTC
Done.

Spec URL: http://freeshell.in/~kushal/kphotobymail.spec
SRPM URL: http://freeshell.in/~kushal/kphotobymail-0.3.2-4.src.rpm


Note You need to log in before you can comment on or make changes to this bug.